## ros-indigo-schunk-libm5api 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(schunk_libm5api)

find_package(catkin REQUIRED COMPONENTS libntcan libpcan)

catkin_package(
    CATKIN_DEPENDS libntcan libpcan
    INCLUDE_DIRS include
    LIBRARIES m5api
)

### BUILD ###
include_directories(include ${catkin_INCLUDE_DIRS})

add_library(m5api  src/Device/Device.cpp  src/Device/ProtocolDevice.cpp  src/Device/ESDDevice.cpp  src/Device/PCanDevice.cpp  src/Device/SocketCANDevice.cpp  src/Device/ProtocolMessage.cpp  src/Device/RS232Device.cpp  src/Util/Random.cpp  src/Util/Message.cpp src/Util/StopWatch.cpp  src/Util/IOFunctions.cpp  src/Util/Thread.cpp  src/M5apiw32/m5apiw32.cpp)
set_target_properties(m5api PROPERTIES COMPILE_FLAGS "-D__LINUX__ -DUSE_PCAN -DUSE_ESD -DUSE_SOCKET_CAN")
target_link_libraries(m5api ${catkin_LIBRARIES})

### INSTALL ###
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

install(DIRECTORY src/ComDef/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}/ComDef
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

install(DIRECTORY src/Device/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}/Device
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

install(DIRECTORY src/Util/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}/Util
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

install(TARGETS m5api
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-schunk-libm5api (0.6.12-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 15 Aug 2018 22:00:00 -0000

ros-indigo-schunk-libm5api (0.6.11-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-schunk-libm5api (0.6.10-0trusty) trusty; urgency=high

  * Merge pull request #198 <https://github.com/ipa320/schunk_modular_robotics/issues/198> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #191 <https://github.com/ipa320/schunk_modular_robotics/issues/191> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-schunk-libm5api (0.6.9-0trusty) trusty; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-schunk-libm5api (0.6.8-0trusty) trusty; urgency=high

  * Set longer timeout for PCan device
  * added USE_SOCKET_CAN and pcToken SocketCAN
  * use pctoken SocketCAN
  * added USE_SOCKET_CAN
  * Contributors: Andreea Tulbure, Denis Štogl

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-schunk-libm5api (0.6.7-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-schunk-libm5api (0.6.6-0trusty) trusty; urgency=high

  * fix include
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 31 Aug 2015 22:00:00 -0000

ros-indigo-schunk-libm5api (0.6.5-0trusty) trusty; urgency=high

  * fix include
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-schunk-libm5api (0.6.4-0trusty) trusty; urgency=high

  * boost revision
  * migration to package format 2
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-schunk-libm5api (0.6.3-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-schunk-libm5api (0.6.2-0trusty) trusty; urgency=high

  * fix minor compiler warnings
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-schunk-libm5api (0.6.1-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 21 Sep 2014 22:00:00 -0000

ros-indigo-schunk-libm5api (0.6.0-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-schunk-libm5api (0.5.6-0trusty) trusty; urgency=high

  * fix buildfarm errors
  * Contributors: Florian Weisshardt

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 26 Aug 2014 22:00:00 -0000

ros-indigo-schunk-libm5api (0.5.5-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-schunk-libm5api (0.5.4-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 27 Mar 2014 23:00:00 -0000

ros-indigo-schunk-libm5api (0.5.3-0trusty) trusty; urgency=high

  * install tags for header files
  * install tags
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 26 Mar 2014 23:00:00 -0000

ros-indigo-schunk-libm5api (0.5.2-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 26 Mar 2014 23:00:00 -0000

ros-indigo-schunk-libm5api (0.5.1-0trusty) trusty; urgency=high

  * use const char* instead of char* to get rid of some compiler warnings
  * output long unsigned correctly
  * Initial catkinization. Still a linking error in sdh lib.
  * Update CMakeList in schunk_libm5api for ESD
  * add original link to sources on schunk site
  * add libm5api as source code package
  * Contributors: Frederik Hegger, abubeck, ipa-fmw, roboskin

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-schunk-libm5api
Section: misc
Priority: extra
Maintainer: Florian Weisshardt <fmw@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-libntcan, ros-indigo-libpcan
Homepage: http://ros.org/wiki/schunk_libm5api
Standards-Version: 3.9.2

Package: ros-indigo-schunk-libm5api
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-libntcan, ros-indigo-libpcan
Description: This package wraps the libm5api to use it as a ros dependency.
 Original sources from http://www.schunk-modular-robotics.com/fileadmin/user_upload/software/schunk_libm5api_source.zip.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-schunk-libm5api//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
